import request from '@/utils/request'

// 查询物资信息包含  通用应急救援装备”“防汛抗旱应急救援装备”“森林防灭火应急救援装备”“救灾物资”列表
export function listEhsMaterial(query) {
  return request({
    url: '/ehsMaterial/ehsMaterial/list',
    method: 'get',
    params: query
  })
}

// 查询物资信息包含  通用应急救援装备”“防汛抗旱应急救援装备”“森林防灭火应急救援装备”“救灾物资”详细
export function getEhsMaterial(materialId) {
  return request({
    url: '/ehsMaterial/ehsMaterial/' + materialId,
    method: 'get'
  })
}

// 新增物资信息包含  通用应急救援装备”“防汛抗旱应急救援装备”“森林防灭火应急救援装备”“救灾物资”
export function addEhsMaterial(data) {
  return request({
    url: '/ehsMaterial/ehsMaterial',
    method: 'post',
    data: data
  })
}

// 修改物资信息包含  通用应急救援装备”“防汛抗旱应急救援装备”“森林防灭火应急救援装备”“救灾物资”
export function updateEhsMaterial(data) {
  return request({
    url: '/ehsMaterial/ehsMaterial',
    method: 'put',
    data: data
  })
}

// 删除物资信息包含  通用应急救援装备”“防汛抗旱应急救援装备”“森林防灭火应急救援装备”“救灾物资”
export function delEhsMaterial(materialId) {
  return request({
    url: '/ehsMaterial/ehsMaterial/' + materialId,
    method: 'delete'
  })
}
